Page MenuHomePhabricator

Add info link to control panel
Closed, ResolvedPublic1 Estimated Story Points

Description

It would be good to have a prominent link which takes people to an on-wiki documentation page (if one exists). A similar mechanism is available in VisualEdior.

The plan is to:

  • Add a config variable along the lines of `WikispeechHelpPage??
  • If that config variable is not empty then insert an icon in the control panel which links to the specified help page.
  • Use an icon similar to that for VE (circled questionmark).

Event Timeline

Lokal_Profil set the point value for this task to 0.5.Nov 29 2016, 3:55 PM

Also need to add a div around the buttons in the code.

Sebastian_Berlin-WMSE changed the point value for this task from 0.5 to 2.Feb 7 2017, 2:41 PM

Changed story points to new system

Lokal_Profil renamed this task from Common.js hack to insert info link to Add info link to control panel.EditedMar 8 2017, 9:36 AM
Lokal_Profil updated the task description. (Show Details)

Note change of scope for the task.

Not worked on in Wikispeech (Sprint 2017-02-22).

Change 347609 had a related patch set uploaded (by Sebastian Berlin (WMSE)):
[mediawiki/extensions/Wikispeech@master] Add help button in player GUI

https://gerrit.wikimedia.org/r/347609

Sebastian_Berlin-WMSE changed the point value for this task from 2 to 1.

Worked on in Wikispeech (Sprint 2017-04-05):

  • Implemented.
  • Review started.

To do in Wikispeech (Sprint 2017-04-25):

  • Finish review and merge.

During the review Jenkins seems to have been updated, causing an old test to fail. Fixing this, and some related logic, was broken out in a separate patch (https://gerrit.wikimedia.org/r/349423), which should be merged before the patch for this task.

Change 347609 merged by jenkins-bot:
[mediawiki/extensions/Wikispeech@master] Add help button in player GUI

https://gerrit.wikimedia.org/r/347609